import {
	defineStore
} from 'pinia'
import {
	ref,
	computed
} from 'vue'
export const useMenuStore = defineStore('menu', () => {

	const menuTree = ref([])
	const routeLoaded = ref(false)
	const menuLoaded = ref(false)

	function setMenuLoaded(value) {
		menuLoaded.value = value
	}

	function setRouteLoaded(value) {
		routeLoaded.value = value
	}

	function setMenuTree(list) {
		menuTree.value = list
	}
	return {
		menuTree,
		routeLoaded,
		menuLoaded,

		setMenuLoaded,
		setRouteLoaded,
		setMenuTree,
	} 
})